<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Faker\Factory as Faker;

class PenjualanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $faker = Faker::create();

        // Ambil daftar produk dari tabel tb_produk mulai dari baris ke-3
        $produk = \App\Models\Produk::all();
       // Loop untuk setiap produk
       foreach ($produk as $produk) {
        // Loop untuk setiap bulan dari Januari 2022 hingga Desember 2023
        for ($tahun = 2022; $tahun <= 2023; $tahun++) {
            for ($bulan = 1; $bulan <= 12; $bulan++) {
                // Generate tanggal penjualan untuk setiap bulan pada tanggal 1
                $tanggal_penjualan = date("Y-m-d", strtotime("$tahun-{$bulan}-01"));
                // Generate jumlah penjualan acak
                $jumlah_penjualan = $faker->numberBetween($min = 50, $max = 100);
                // Simpan data penjualan ke tabel tb_penjualan
                \App\Models\Penjualan::create([
                    'kode_produk' => $produk->kode_produk,
                    'tanggal' => $tanggal_penjualan,
                    'jumlah' => $jumlah_penjualan
                ]);
            }
        }
    }



    }
}
